]>

# The Konsole Handbook

Jonathan
Singer

    jsinger@genome.wi.mit.edu

Lars
Dölle
Developer

    lars.doelle@on-line.de

Michael
McBride
Reviewer

    mmcbride@ematic.com

Lauri
Watts
Reviewer

    vampyr@atconnex.net

2000
Jonathan Singer
03/06/2000
00.09.15

This document is the user handbook for the Konsole application.

Konsole is an X terminal emulator for KDE 2.0

KDE
Konsole
kdebase
command
line

## Introduction to &konsole;

&konsole; is an X terminal emulation which provides a command-line interface (CLI) while using the graphical K Desktop Environment. &konsole; helps to better organize user's desktop by containing multiple sessions in a single window (a less cluttered desktop).

It's advanced features include a simple configuration and the ability to use multiple terminal shells in a single window

Using konsole, a user can open:

- Linux console sessions

- Midnight Commander file manager sessions

- Shell sessions

- Root consoles sessions

These sessions can be renamed to help you keep track of all your shells, or signaled (STOP, CONT, HUP, INT, TERM, KILL)

For more control over &konsole;, a user can:

- hide/show the menubar, toolbar and/or frame

- select the size of a &konsole; window, fonts, color schemes, and key mapping

- change location of the scrollbar or hide the scrollbar

All chosen options can be made default for forthcoming sessions by saving them.

### History

For those with a deep interest in the taxonomy of free X terminals, there are two others of this kind: xterm, the original, written even before X itself (a month or two), and xvt, a lightweight xterm clone, on which most other currently available derivatives (notably eterm) are based.

After a decade, &konsole; is the first rewrite from the ground up. While xterm has definitely been hacked to death (its `README` starts with the words "Abandon All Hope, Ye Who Enter Here"), &konsole; offers a fresh start using contemporary technologies and understanding of X.

## Installation

Konsole is part of the KDE 2.0 base packages. It will automatically be installed with your KDE installation, and requires KDE 2.0 to function.

For more information, you should visit the KDE website at http://www.kde.org/

To obtain &konsole; separately, it is part of the kdebase package, and should be compiled and installed as indicated in the package's main directory. New versions of kdebase can be obtained at ftp://ftp.kde.org/pub/

To build &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Then as root:
    #  make install

## Use of &konsole;

### Startup

When &konsole; is started, an application (typically a Unix shell) runs in the window. Simply type at the prompt.

### History

As lines scroll off the top of the screen, they can be reviewed by moving the scroll bar upwards, or through the use of the ShiftPage Up (to move back a page), ShiftPage Down (to move forward a page), ShiftUp (to move up a line) and ShiftDown (to move down a line) keys. (Provided the "History" option is on.)

### Mouse Buttons

Left

  Clicking the left button is passed as an event to the application running in the emulation, if it is mouse-aware. If a program will react on mouse clicks &konsole; indicates this by showing an arrow cursor. If not, an I-beam (bar) cursor is shown.

  Holding the left button down and dragging the mouse over the screen with a mouse-unaware application running will mark a region of the text. While dragging, the marked text is displayed reversed for visual feedback. When the button is released, the marked text is copied to the clipboard for further use within &konsole; or another application.

  Normally, new-line characters are inserted at the end of each line selected. This is best for cut and paste of source code, or the output of a particular command. For ordinary text, the line breaks are often not important. One would prefer for the text to be a stream of characters that will be automatically re-formatted when pasted another application. To select in text-stream mode, hold down the Ctrl key while selecting normally.

  If the upper or lower edge of the text area is touched while marking, &konsole; scrolls up or down, eventually exposing text within the history buffer. The scrolling stops when the mouse stops moving.

  After the mouse is released, &konsole; attempts to keep the text in the clipboard visible by holding the marked area reversed. The marked area reverts back to normal as soon as either the contents of the clipboard is changed, the text within the marked area is altered or the left mouse button is clicked.

  To mark text on a mouse-aware application the Shift key has to be pressed when clicking.

Middle

  Pressing the middle button pastes text currently in the clipboard.

  If you have a mouse with only two buttons, pressing both the left and right buttons together emulates the middle button of a three button mouse.

Right

  The right button up the "Options" menu. The Ctrl + right button brings up the "File" menu, while Shift + right button brings up the "Sessions" menu.

### Menu Bar

The menubar is at the top of the konsole window. It can be hidden and restored by toggling "Show Menubar" in the "Options" menu. When the menubar is hidden, "Show Menubar" can be reached by right-clicking in the window.

#### The File menu

File Linux Console

  Opens a new session emulating a text-only Linux system.

  (See the file `README.linux.console` for detailed information on how the Linux console differs from a typical Unix shell.)

File Midnight Commander

  Opens a new session with the Midnight Commander graphical file browser

File Shell

  Opens a new session with a terminal shell

File Root Console

  Opens a new session with a terminal shell, as the root user.

  After being prompted for the root password, the # prompt appears, indicating that the user is working with root privileges. This is frequently necessary for installing new software and other system maintenance, but care should be taken to avoid accidental damage.

File Quit

  Quits &konsole;, closing all sessions and any applications launched from them.

#### The SessionsMenu

Sessions Send Signal

  Send Signal - Sends the specified signal to the shell process, or other process, that was launched when the new session was started.

  Currently available signals are:

  Stop | - | to stop process
  Cont | - | continue if stopped
  HUP | - | hangup detected on controlling terminal, or death of controlling process
  Int | - | interrupt from keyboard
  Term | - | termination signal
  Kill | - | kill signal

  Refer to your system manual pages for further details by giving the command `man 7 signal`

Sessions Rename Session

  Changes the name of the active session

Options Session icons...

  At the bottom of the menu is a list of the available sessions. Selecting one makes that session active.

#### The Options menu

Options Show Menubar

  Shows or hides the menubar

Options Show toolbar

  Shows or hides the toolbar

Options Show Frame

  Shows or hides frame at side of window

Options Scrollbar

  Controls location of scrollbar: none, left, or right

Options Fullscreen

  Toggles window between full-screen and normal size

Option Size

  Sets size of text area (given in columns x rows)

Options Fonts

  Sets font size

Options Schema

  Sets colors of text and background

Options History

  Toggles saving of lines that have scrolled off the top of the window

Options Codec

  Not implemented yet

Options Keyboard

  Chooses desired keymapping

Options Save Options

  Save the current settings as the new defaults

#### The Help menu

Help Contents

  Opens the table of contents of this document

Help Technical Reference

  Detailed information on terminal emulation and &konsole;

Help Report Bug

  submit a bug report or a feature request for &konsole;

Help About Konsole

  Information about &konsole;'s author

Help About KDE

  Information about the KDE project

### The toolbar

The toolbar is at the bottom of the &konsole; window.

It can be hidden and restored by toggling "Show Toolbar" in the "Options" menu or by clicking the textured "handle" at the side of the bar. The bar contains a "New" icon and icons for the current sessions. Clicking "New" opens a new "Shell" session.

Clicking an existing session's icon makes that session active.

### Command-line options

When &konsole; is started from the command-line, various options can be specified to modify it's behaviour

`--help`

  lists the various options

`--name`

  Set the name that appears in the titlebar

`--ls`

  Start a login shell

`--nowelcome`

  Suppress the "Welcome to &konsole;" message that normally appears in the titlebar

`--nohist`

  Disables the saving of lines that scroll off the top of the window

`--vt_sz CCxLL`

  Starts a terminal window of CC Columns and LL lines

`-e <command>`

  Execute <command> instead of shell

For instance:

    bash$ konsole --vt_sz 90x25 --nohist

starts a &konsole; window with 90 columns and 25 rows, with no history

&konsole; also accepts generic QT and KDE options:

`--author`

  Shows the author(s) names

`--V`

  Shows the version number

`--help-qt`

  lists Qt-specific options

`--help-kde`

  lists KDE-specific options

`--help-all`

  lists all options

## Credits and Copyright

The application &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

This document was written by Jonathan Singer jsinger@genome.wi.mit.edu

Converted to DocBook SGML by Michael McBride mmcbride@ematic.com and Lauri Watts vampyr@atconnex.net

This program is licensed under the terms of the GNU General Public License. The documentation is licensed under the terms of the GNU Free Documentation License.